# Uses of Class
org.apache.commons.math3.stat.clustering.Cluster

Packages that use Cluster
Package
Description
org.apache.commons.math3.stat.clustering
All classes and sub-packages of this package are deprecated.

## Uses of Cluster in org.apache.commons.math3.stat.clustering

Methods in org.apache.commons.math3.stat.clustering that return types with arguments of type Cluster
Modifier and Type
Method
Description
`List<Cluster<T>>`
DBSCANClusterer.`cluster(Collection<T> points)`
Deprecated.
Performs DBSCAN cluster analysis.
`List<Cluster<T>>`
KMeansPlusPlusClusterer.`cluster(Collection<T> points, int k, int maxIterations)`
Deprecated.
Runs the K-means++ clustering algorithm.
`List<Cluster<T>>`
KMeansPlusPlusClusterer.`cluster(Collection<T> points, int k, int numTrials, int maxIterationsPerTrial)`
Deprecated.
Runs the K-means++ clustering algorithm.